Subject: bug#23341: x-show-tip does not respect the value of tooltip-hide-delay, and the default tooltip timeout isn't configurable

From: Eli Zaretskii <[email-masked]>
Date: Sat, 23 Apr 2016 20:54:57 +0300

> Cc: [email-masked]
> From: Clément Pit--Claudel <[email-masked]>
> Date: Sat, 23 Apr 2016 11:26:57 -0400
> 
> > Which package(s) do that?  I think those packages need to be fixed 
> > instead.
> 
> I don't have a comprehensive list; I could compile one, but regardless of that: I don't want to have to configure every package that I use independently. It's good to be able to fine-tune independent packages, but consistent defaults are nice in any case, aren't they?

I don't think it's right for Emacs to provide such ugly global hacks
because some packages out there don't give users ways to customize the
tooltips.  The hard-coded value we provide is the last resort,
nothing more, nothing less.

Bottom line, I think the bug is in the packages that don't provide
customizations for this, and you should take this up with the
respective maintainers.